// $Id: README 29955 1999-12-02 05:22:19Z marina $

This directory contains programs for measuring performance with
the orb per priority scenario (described below).

For each corba priority specified on the command line, server spawns a
thread, in which it creates an ORB, and exports an ior of the object
registered under the poa of that ORB.
Client runs the specified number of threads at specified priorities (see command
line arguments description below), all concurrently invoking
operations on the server object, but through different IORs.  Each
client thread uses an IOR exported by a server thread (i.e., ORB)
running at the same corba priority as itself.

See run-test.pl for a sample run.  (Perl script starts a server, which
has 5 low-priority orbs and one high priority orb, and
then runs a client with 5 low-priority threads and one high-priority thread).

Command Line Arguments
**********************

server

-o <ior_output_file>      Base name of the file where to store IOR of the server.

-t <corba_priority>       Specify a corba priority of a server
                          thread to run.  This option can be used
                          multiple times in order to specify the
                          number of threads in the server and their
                          priorities. Each thread will have its own
                          ORB and will export its own ior.

client

-i <ior>                  IOR of the object to use for invocations.

-n <number of iterations> Number of invocations each thread must
                          perform on the object.

-p <period>               Period with which invocations should be made.

-t <corba_priority>       Specify a corba priority of a a client
                          thread to run.  This option can be used
                          multiple times in order to specify the
                          number of threads in the client and their
                          priorities.  Each thread will use the ior
                          created by the server ORB of corresponding
                          priority.
